Subject: Re: [EAI] Erratum? Mixing character-based and byte based ABNF in RFC 6531

From: Shawn Steele <[email-masked]>
Date: Mon, 19 Mar 2012 16:14:41 +0000

I agree with the others that the U-Label/UTF-8 thing isn't much of a problem.  I can see where IDNA has a slightly different definition of U-Label, and how that could lead to Martin's observation, but agree with the others that the spec is pretty clear about UTF-8, so I don't think there's any risk of anyone creating a bad implementation because of this.

It seems worth remembering that maybe this could be improved if the document is revised, but don't think it's worth more effort than that.

-Shawn